package com.cirmuller.maidaddition.datagen;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.Map;

public class TaskKey {
  private String task;
  
  private Map<String, Float> matchString;
  
  private String language;
  
  public TaskKey(String task, Map<String, Float> matchString, String language) {
    this.task = task;
    this.matchString = matchString;
    this.language = language;
  }
  
  public String getTask() {
    return this.task;
  }
  
  public Map<String, Float> getMatchString() {
    return this.matchString;
  }
  
  public String getLanguage() {
    return this.language;
  }
  
  public static com.cirmuller.maidaddition.datagen.TaskKey IDLE = new com.cirmuller.maidaddition.datagen.TaskKey("idle", Map.of("\\S*闲散\\S*", Float.valueOf(1.0F), "\\S*放松\\S*", Float.valueOf(1.0F), "\\S*停止\\S*", Float.valueOf(1.0F), "\\S*不\\S{1,2}休息\\S*", Float.valueOf(-1.0F), "\\S*别休息\\S*", Float.valueOf(-1.0F), "\\S*休息\\S*", 
        Float.valueOf(0.9F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey ATTACK = new com.cirmuller.maidaddition.datagen.TaskKey("attack", Map.of("\\S*攻击\\S*", Float.valueOf(0.6F), "\\S*进攻\\S*", Float.valueOf(0.8F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey BOW_ATTACK = new com.cirmuller.maidaddition.datagen.TaskKey("ranged_attack", Map.of("\\S*弓\\S*", Float.valueOf(1.0F), "\\S*攻击\\S*", Float.valueOf(0.8F), "\\S*进攻\\S*", Float.valueOf(0.8F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey CROSSBOW_ATTACK = new com.cirmuller.maidaddition.datagen.TaskKey("crossbow_attack", Map.of("\\S*弩\\S*", Float.valueOf(1.0F), "\\S*攻击\\S*", Float.valueOf(0.8F), "\\S*进攻\\S*", Float.valueOf(0.8F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey DANMUKU_ATTACK = new com.cirmuller.maidaddition.datagen.TaskKey("danmaku_attack", Map.of("\\S*弹幕\\S*", Float.valueOf(1.0F), "\\S*攻击\\S*", Float.valueOf(0.8F), "\\S*进攻\\S*", Float.valueOf(0.8F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey TRIDENT_ATTACK = new com.cirmuller.maidaddition.datagen.TaskKey("trident_attack", Map.of("\\S*三叉戟\\S*", Float.valueOf(1.0F), "\\S*攻击\\S*", Float.valueOf(0.8F), "粪叉", Float.valueOf(0.6F), "\\S*进攻\\S*", Float.valueOf(0.8F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey FARM = new com.cirmuller.maidaddition.datagen.TaskKey("farm", Map.of("\\S*农活\\S*", Float.valueOf(0.8F), "\\S*下地\\S*干活\\S*", Float.valueOf(0.8F), "\\S*种地\\S*", Float.valueOf(0.8F), "\\S*种\\S*", Float.valueOf(0.2F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey SUGARCANE = new com.cirmuller.maidaddition.datagen.TaskKey("sugar_cane", Map.of("\\S*甘蔗\\S*", Float.valueOf(1.0F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey MELON = new com.cirmuller.maidaddition.datagen.TaskKey("melon", Map.of("\\S*西瓜\\S*", Float.valueOf(0.9F), "\\S*南瓜\\S*", Float.valueOf(0.9F), "\\S*瓜\\S*", Float.valueOf(0.1F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey COCO = new com.cirmuller.maidaddition.datagen.TaskKey("cocoa", Map.of("\\S*可可\\*", Float.valueOf(0.9F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey HONEY = new com.cirmuller.maidaddition.datagen.TaskKey("honey", Map.of("\\S*蜂蜜\\S*", Float.valueOf(0.9F), "\\S*蜜\\S*", Float.valueOf(0.1F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey GRASS = new com.cirmuller.maidaddition.datagen.TaskKey("grass", Map.of("\\S*除草\\S*", Float.valueOf(0.9F), "\\S*拔草\\S*", Float.valueOf(0.9F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey SNOW = new com.cirmuller.maidaddition.datagen.TaskKey("snow", Map.of("\\S*铲雪\\S*", Float.valueOf(0.9F), "\\S*除雪\\S*", Float.valueOf(0.6F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey FEED_OWNER = new com.cirmuller.maidaddition.datagen.TaskKey("feed", Map.of("\\S*(关心|喂)(主人|我)\\S*", Float.valueOf(0.9F), "\\S*投喂\\S*", Float.valueOf(0.3F), "\\S*东西\\S*吃\\S*", Float.valueOf(0.5F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey MILK = new com.cirmuller.maidaddition.datagen.TaskKey("milk", Map.of("\\S*牛奶\\S*", Float.valueOf(0.9F), "\\S*奶\\S*", Float.valueOf(0.6F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey TORCH = new com.cirmuller.maidaddition.datagen.TaskKey("torch", Map.of("\\S*火把\\S*", Float.valueOf(0.7F), "\\S*照明\\S*", Float.valueOf(0.8F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey BREED_ANIMAL = new com.cirmuller.maidaddition.datagen.TaskKey("feed_animal", Map.of("\\S*繁殖动物\\S*", Float.valueOf(1.0F), "\\S*喂\\S*动物\\S*", Float.valueOf(0.9F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey FISH = new com.cirmuller.maidaddition.datagen.TaskKey("fishing", Map.of("\\S*钓鱼\\S*", Float.valueOf(1.0F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey FIRE = new com.cirmuller.maidaddition.datagen.TaskKey("extinguishing", Map.of("\\S*灭火\\S*", Float.valueOf(1.0F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey GAME = new com.cirmuller.maidaddition.datagen.TaskKey("board_games", Map.of("\\S*游戏\\S*", Float.valueOf(0.6F), "\\S*下\\S*棋\\S*", Float.valueOf(0.9F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey CHUNK_LOADING;
  
  public static com.cirmuller.maidaddition.datagen.TaskKey SLAVE_WORK = new com.cirmuller.maidaddition.datagen.TaskKey("hand_crank_task", Map.of("\\S*打工\\S*", Float.valueOf(0.4F), "\\S*摇(手摇曲柄|曲柄|扳手)\\S*", Float.valueOf(0.8F)), "zh_cn");
  
  public static com.cirmuller.maidaddition.datagen.TaskKey SHEARS = new com.cirmuller.maidaddition.datagen.TaskKey("shears", Map.of("\\S*羊毛\\S*", Float.valueOf(0.6F)), "zh_cn");
}
